version: '2.1'

services:
    mysql:
        build: ./db
        environment:
            - MYSQL_ALLOW_EMPTY_PASSWORD=yes
        healthcheck:
            test: "exit 0"
    app:
        build: .
        depends_on:
            mysql:
                condition: service_healthy
        entrypoint:
            - /usr/local/bin/docker-entrypoint.sh
        ports:
            - "80:80"